local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("nQuestLog", "nQuestLog")
if not Addon then return end

-- members
Addon.wasVisible = false
Addon.wasLocked = false

function Addon:Start()

    -- unlock the minion
    self.wasLocked = nQuestLog.db.profile.minionLocked
    nQuestLog.db.profile.minionLocked = false
    
    -- show the minion
    self.wasVisible = nQuestLogFrame:IsVisible()
    if not self.wasVisible then
        nQuestLog:ToggleVisible(true)
    end
end

function Addon:Stop()

    -- lock the minion
    nQuestLog.db.profile.minionLocked = self.wasLocked
    
    -- hide the minion
    if not self.wasVisible then
        nQuestLog:ToggleVisible(false)
    end
end